Constants
Date: 2013-03-24

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.contentmanagement.viewmanager.plugin
Class Constants

    java.lang.Object
      org.gcube.contentmanagement.viewmanager.plugin.Constants

    public class Constants

extends java.lang.Object

Constants and utilities for interaction with the Executor service.

Author:
  Fabio Simeoni (University of Strathclyde)

Field Summary
`static java.lang.String` | `ACTIVATIONRECORD_NAME` Activation Record Type Name
`static java.lang.String` | `ACTIVATIONRECORD_TYPE` Activation Record Secondary Type
`static javax.xml.namespace.QName` | `COLLECTIONID_RP` Fully qualified name of the CollectionID RP of collection managers.
`static java.lang.String` | `COLLECTIONID_RPNAME` Name of the collection RP of the Factory port-type.
`static java.lang.String` | `COMMON_NS` Common namespace.
`static javax.xml.namespace.QName` | `FACTORY_PLUGIN_RP` Fully qualified name of the Plugin RP of the factory resource.
`static java.lang.String` | `FACTORY_PLUGIN_RPNAME` Name of the plugin RP of the factory resource.
`static java.lang.String` | `FACTORY_PT_NAME` Relative endpoint of the Factory port-type.
`static java.lang.String` | `JNDI_NAME` JNDI Base Name.
`static java.lang.String` | `NS` Namespace.
`static javax.xml.namespace.QName` | `PLUGIN_RP` Fully qualified name of the Plugin RP of collection managers.
`static java.lang.String` | `PLUGIN_RPNAME` Name of the Plugin RP of collection managers.
`static java.lang.String` | `READ_PT_NAME` Relative endpoint of the Read Manager port-type.
`static java.lang.String` | `READ_TYPE` Read Managers' type
`static java.lang.String` | `SERVICE_CLASS` Service class.
`static java.lang.String` | `SERVICE_NAME` Service name.
`static javax.xml.namespace.QName` | `STATE_RP` Fully qualified name of the State RP of Task resources.
`static java.lang.String` | `STATE_RPNAME` Name of the State RP of collection managers.
`static javax.xml.namespace.QName` | `TYPE_RP` Fully qualified name of the Type RP of collection managers.
`static java.lang.String` | `TYPE_RPNAME` Name of the Type RP of collection managers.
`static java.lang.String` | `WRITE_PT_NAME` Relative endpoint of the Write Manager port-type.
`static java.lang.String` | `WRITE_TYPE` Read Managers' type

Constructor Summary
`Constants()`

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SERVICE_NAME

    public static final java.lang.String SERVICE_NAME

  Service name.

  See Also:
    Constant Field Values

### SERVICE_CLASS

    public static final java.lang.String SERVICE_CLASS

  Service class.

  See Also:
    Constant Field Values

### NS

    public static final java.lang.String NS

  Namespace.

  See Also:
    Constant Field Values

### COMMON_NS

    public static final java.lang.String COMMON_NS

  Common namespace.

  See Also:
    Constant Field Values

### JNDI_NAME

    public static final java.lang.String JNDI_NAME

  JNDI Base Name.

  See Also:
    Constant Field Values

### ACTIVATIONRECORD_TYPE

    public static final java.lang.String ACTIVATIONRECORD_TYPE

  Activation Record Secondary Type

  See Also:
    Constant Field Values

### ACTIVATIONRECORD_NAME

    public static final java.lang.String ACTIVATIONRECORD_NAME

  Activation Record Type Name

  See Also:
    Constant Field Values

### FACTORY_PT_NAME

    public static final java.lang.String FACTORY_PT_NAME

  Relative endpoint of the Factory port-type.

  See Also:
    Constant Field Values

### READ_PT_NAME

    public static final java.lang.String READ_PT_NAME

  Relative endpoint of the Read Manager port-type.

  See Also:
    Constant Field Values

### WRITE_PT_NAME

    public static final java.lang.String WRITE_PT_NAME

  Relative endpoint of the Write Manager port-type.

  See Also:
    Constant Field Values

### FACTORY_PLUGIN_RPNAME

    public static final java.lang.String FACTORY_PLUGIN_RPNAME

  Name of the plugin RP of the factory resource.

  See Also:
    Constant Field Values

### FACTORY_PLUGIN_RP

    public static final javax.xml.namespace.QName FACTORY_PLUGIN_RP

  Fully qualified name of the Plugin RP of the factory resource.

### COLLECTIONID_RPNAME

    public static final java.lang.String COLLECTIONID_RPNAME

  Name of the collection RP of the Factory port-type.

  See Also:
    Constant Field Values

### COLLECTIONID_RP

    public static final javax.xml.namespace.QName COLLECTIONID_RP

  Fully qualified name of the CollectionID RP of collection managers.

### TYPE_RPNAME

    public static final java.lang.String TYPE_RPNAME

  Name of the Type RP of collection managers.

  See Also:
    Constant Field Values

### PLUGIN_RPNAME

    public static final java.lang.String PLUGIN_RPNAME

  Name of the Plugin RP of collection managers.

  See Also:
    Constant Field Values

### TYPE_RP

    public static final javax.xml.namespace.QName TYPE_RP

  Fully qualified name of the Type RP of collection managers.

### PLUGIN_RP

    public static final javax.xml.namespace.QName PLUGIN_RP

  Fully qualified name of the Plugin RP of collection managers.

### READ_TYPE

    public static final java.lang.String READ_TYPE

  Read Managers' type

  See Also:
    Constant Field Values

### WRITE_TYPE

    public static final java.lang.String WRITE_TYPE

  Read Managers' type

  See Also:
    Constant Field Values

### STATE_RPNAME

    public static final java.lang.String STATE_RPNAME

  Name of the State RP of collection managers.

  See Also:
    Constant Field Values

### STATE_RP

    public static final javax.xml.namespace.QName STATE_RP

  Fully qualified name of the State RP of Task resources.

Constructor Detail

### Constants

    public Constants()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD